%ifos darwin
%define __cp_a	cp -pP
%else
%define __cp_a	cp -a
%endif

Summary: Japanese Virtual Fonts
Summary(ja): ܸ첾ۥեȤǤ.
Name: jvf
Version: 1.0
Release: 7b
Source0: ftp://ftp.ascii.co.jp/pub/TeX/ascii-ptex/jvf/makejvf-1.0.tar.gz
#Source1: http://www.matsusaka-u.ac.jp/~okumura/texfaq/jis.pl
%define vinepl vine.pls-1.2
Source1: %{vinepl}.tar.gz
Copyright: distributable
Group: Applications/Publishing
BuildPreReq: pTeX
Buildroot: %{_tmppath}/%{name}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
Japanese Virtual Fonts required by dvipsk built by makejvf.

%description -l ja
dvipsk μ¹Ԥɬפ, ܸ첾ۥե(virtual fonts)
¿ѥեȥȥåӡVFեκɬפ makejvf 
Ǥ
 
%prep
rm -rf $RPM_BUILD_ROOT

%setup -a 1 -n makejvf-${RPM_PACKAGE_VERSION}

%build
## Macro definition
TFMDIR=%{_prefix}/share/texmf/fonts/tfm/ptex

mkvf(){ # <$1: jfm name> <$2: jfm name of PS font>
    for size in 5 6 7 8 9 10 ; do
        ../makejvf $TFMDIR/$1${size}.tfm $2
    done
}

## make makejvf
make

(
cd %{vinepl}
## now, build basic vf fonts
mkvf min rml
mkvf tmin rmlv
mkvf goth gbm
mkvf tgoth gbmv

# jis font metric and vf fonts
%{_prefix}/bin/pltotf jis.pl
%{_prefix}/bin/pltotf jisi.pl
%{_prefix}/bin/pltotf tjis.pl
%{_prefix}/bin/pltotf tjisi.pl
%{_prefix}/bin/pltotf min.pl
%{_prefix}/bin/pltotf mini.pl
%{_prefix}/bin/pltotf tmin.pl
%{_prefix}/bin/pltotf tmini.pl

ln -sf jis.tfm jisg.tfm
ln -sf jisi.tfm jisgi.tfm
ln -sf tjis.tfm tjisg.tfm
ln -sf tjisi.tfm tjisgi.tfm

../makejvf jis.tfm rml
../makejvf jisg.tfm gbm
../makejvf jisi.tfm rmli
../makejvf jisgi.tfm gbmi

../makejvf tjis.tfm rmlv
../makejvf tjisg.tfm gbmv
../makejvf tjisi.tfm rmlvi
../makejvf tjisgi.tfm gbmvi

mkdir tfm
%{__cp_a} *.tfm tfm/

# extrafonts metric and vf fonts
for i in goth gyo pop lei; do
    ln -sf min.tfm  ${i}.tfm
    ln -sf mini.tfm  ${i}i.tfm
    ln -sf tmin.tfm t${i}.tfm
    ln -sf tmini.tfm t${i}i.tfm
done
for i in min goth gyo pop lei; do
    ../makejvf ${i}.tfm ${i}
    ../makejvf ${i}i.tfm ${i}i
    ../makejvf t${i}.tfm t${i}
    ../makejvf t${i}i.tfm t${i}i
#    ln -sf ${i}.tfm df${i}.tfm 
#    ln -sf ${i}.vf df${i}.vf
#    ln -sf t${i}.tfm dft${i}.tfm 
#    ln -sf t${i}.vf dft${i}.vf
done
)

%install
mkdir -p $RPM_BUILD_ROOT%{_prefix}/bin
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/texmf/fonts/vf/
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/texmf/fonts/tfm/ptex
%ifos darwin
install -c -m 755 makejvf $RPM_BUILD_ROOT%{_prefix}/bin
%else
install -s -m 755 makejvf $RPM_BUILD_ROOT%{_prefix}/bin
%endif
(cd %{vinepl}
%{__cp_a} *.vf $RPM_BUILD_ROOT%{_prefix}/share/texmf/fonts/vf/
%{__cp_a}f tfm/*.tfm .
%{__cp_a} *.tfm $RPM_BUILD_ROOT%{_prefix}/share/texmf/fonts/tfm/ptex
cp README ../README.vine.pls
)

%clean

%files
%ifos darwin
%defattr(-,root,wheel)
%else
%defattr(-,root,root)
%endif
%doc README.txt README.vine.pls
%{_prefix}/share/texmf/fonts/vf/
%{_prefix}/share/texmf/fonts/tfm/ptex/
%{_prefix}/bin/makejvf

%changelog
* Thu Oct 11 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release built on MacOS X Release 10.1

* Thu Apr 26 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release built on MacOS X Release 10.0.01

* Sat Jan 20 2001 Jun Nishii <jun@vinelinux.org>
- 1.0-7
- build on VineSeed

* Sat Jan 20 2001 Jun Nishii <jun@vinelinux.org>
- 1.0-6
- cp jis.pl min.pl and fix glue for ",,..." in min.pl to use DynaFonts
  Should I rename min.* as dyna.*?

* Fri Jan 21 2000 Jun Nishii <jun@vinelinux.org>
- 1.0-5
- make vfs for dynafonts
- tjis, tjisi, tmin, tmini,...
- correct installation of tfm

* Fri Jan  7 2000 Jun Nishii <jun@vinelinux.org>
- install makejvf

* Fri Oct 29 1999 Norihito Ohmori <ohmori@flatout.org>
- change group
- add defattr(-,root.root)

* Thu Jul 13 1999 Jun Nishii <jun@flatout.org>
- include jis fonts

* Mon Feb 8 1999 Jun Nishii <jun@flatout.org>
- build vfs by makejvf
- obsoletes vfkanji
